Bug 136772 - s-c-b cannot handle dnssec key
s-c-b cannot handle dnssec key
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 05:21 EDT by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.0.0-36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-27 13:06:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2004-10-22 05:21:11 EDT
User-Agent:       
Build Identifier: 

My named.conf contains this

key "key" {
        algorithm hmac-md5;
        secret "c3Ryb25nIGVub3VnaCBmb3IgYS3tYW4gYnV0IG1hZGUgZm9yIGEgd29tYW4K";
};

s-c-b chokes on it.

Reproducible: Always
Steps to Reproduce:
1.add above lines
2.start s-c-b
3.

Actual Results:  
Parse error:

Traceback (most recent call last):
  File "/usr/sbin/system-config-bind", line 95, in ?
    cfg = ConfNamed.ConfNamed("/etc/named.conf",ROOTDIR)
  File "/usr/share/system-config-bind/ConfNamed.py", line 329, in __init__
    current[-1].setOpt(val[0],join(val[1:],' '))


Expected Results:  
Correct parsing.
Comment 1 Jason Vas Dias 2004-10-22 10:29:15 EDT
The next version handles DNSSEC keys and will automate their generation.
Comment 2 Jason Vas Dias 2005-01-03 14:28:13 EST
This problem is now fixed by system-config-bind-4.0.0-1 in FC4/rawhide
- this is not quite the final version yet, but it does fix this problem.
Comment 3 Ulrich Drepper 2006-05-27 13:06:30 EDT
Seems to work in FC3+.

Note You need to log in before you can comment on or make changes to this bug.